Show / Hide Table of Contents

# Class TextDocumentIdentifier

Defines a base parameter class for identifying a text document.

##### Inheritance

System.Object
TextDocumentIdentifier
VersionedTextDocumentIdentifier

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class TextDocumentIdentifier

### Properties

| Improve this Doc View Source

#### Uri

Gets or sets the URI which identifies the path of the text document.

##### Declaration

    public string Uri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |